from abc import ABC, abstractmethod
from typing import Generic

from fastapi_pydentity.security.claims import ClaimsPrincipal
from fastapi_pydentity.types import TUser


class IUserClaimsPrincipalFactory(Generic[TUser], ABC):
    """Provides an abstraction for a factory to create a ClaimsPrincipal from a user."""

    @abstractmethod
    async def create(self, user: TUser) -> ClaimsPrincipal:
        """
        Creates a ClaimsPrincipal from an user.

        :param user: The user to create a ClaimsPrincipal from.
        :return:
        """
