from typing import Generic, TYPE_CHECKING

from fastapi_pydentity.abc import IUserConfirmation
from fastapi_pydentity.types import TUser

if TYPE_CHECKING:
    from fastapi_pydentity.user_manager import UserManager


class DefaultUserConfirmation(IUserConfirmation[TUser], Generic[TUser]):
    async def is_confirmed(self, manager: "UserManager", user: TUser) -> bool:
        return await manager.is_email_confirmed(user)
